﻿@model FileProject.Models.FileData
@{
    ViewBag.Title = "Files";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>Files</h2>
@using (Html.BeginForm("Files", "SaveFile", FormMethod.Post, new
{
    enctype = "multipart/form-data"
}))
{
    @Html.AntiForgeryToken()
    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group" id="F101">
            @Html.LabelFor(model => model.PhotoPath, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input type="file" name="PhotoFile" id="PhotoPath" class="custom-file-input" accept="application/pdf" />
                <input type="text" id="txtFileName" name="txtFileName" />
                @Html.ValidationMessageFor(model => model.PhotoPath, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group" id="C101">
            @Html.LabelFor(model => model.CertificatePath, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input type="file" name="CertificateFile" id="CertificatePath" class="custom-file-input" accept="application/pdf" />
                <input type="text" id="txtFileName1" name="txtFileName1" />
                @Html.ValidationMessageFor(model => model.CertificatePath, "", new { @class = "text-danger" })
            </div>
        </div>
        <table class="table">
            <tbody>
                <tr>
                    <td>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" name="Save" value="Finish" class="btn btn-default1" />
                            </div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
}
@section Scripts {
<script type="text/javascript">

    $(document).ready(function () {

        $("#txtFileName").hide();
        $("#txtFileName1").hide();

        $('#F101').change(function () {
            var x = $("#PhotoPath").val();
            var fname = (document.getElementById('PhotoPath').value).substring(12);
            var re = /(\.pdf)$/i;
            if (x != null) {
                if (re.exec(fname))
                {
                    document.getElementById('txtFileName').value = (document.getElementById('PhotoPath').value).substring(12);
                    var sizePhoto = $('#PhotoPath')[0].files[0].size;
                    if ( sizePhoto > 1000000) {
                        alert("Please upload file less than 1 MB. Thanks!!");
                        $("#PhotoPath").val("");
                    }
                }
                else
                {
                    $("#PhotoPath").val("");
                    alert("File not supported. Please select Pdf file.");
                }
            }           
        });

        $('#CertificatePath').change(function () {           
            var y = $("#CertificatePath").val();
            var fname = (document.getElementById('CertificatePath').value).substring(12);
            var re = /(\.pdf)$/i;
            
            if (y != null)
            {
                if (re.exec(fname))
                {
                    document.getElementById('txtFileName1').value = (document.getElementById('CertificatePath').value).substring(12);
                    var sizeCertificate = $('#CertificatePath')[0].files[0].size;;
                    if (sizeCertificate > 1000000)
                    {
                        alert("Please upload file less than 1 MB. Thanks!!");
                        $("#CertificatePath").val("");
                     }              
                }
                else
                {
                    $("#CertificatePath").val("");
                    alert("File not supported. Please select Pdf file.");
                }
            }            
        });
    
    });    
</script>

}
